# Household Create

| **API URL**     | {{url}}/spice-service/household/create |
| --------------- | -------------------------------------- |
| **Method**      | POST                                   |
| **Description** | Creation of household.                 |

#### **Input:** <a href="#householdcreate-v2-input" id="householdcreate-v2-input"></a>

| **Field Name**                   | **Type** | **Mandatory** | **Example**                                                                                                                             |
| -------------------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header)           | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                           | String   | Yes           | mob                                                                                                                                     |
| household                        | String   | Yes           | Household details                                                                                                                       |
| createdAt                        | Date     | Yes           | Created At                                                                                                                              |
| headPhoneNumber                  | Bigint   | Yes           | Head Phone Number                                                                                                                       |
| headPhoneNumberCategory          | String   | Yes           | Head Phone Number Category                                                                                                              |
| householdMembers                 | String   | Yes           | Household Members details                                                                                                               |
| latitude                         | Double   | Yes           | Location details                                                                                                                        |
| longitude                        | Double   | Yes           | longitude details                                                                                                                       |
| name                             | String   | Yes           | Household name                                                                                                                          |
| phoneNumber                      | Bigint   | Yes           | Phone Number                                                                                                                            |
| phoneNumberCategory              | String   | Yes           | PhoneNumber Category                                                                                                                    |
| provenance                       | String   | Yes           | Provenance details                                                                                                                      |
| referenceId                      | Bigint   | Yes           | Reference ID for the household member                                                                                                   |
| village                          | String   | Yes           | Village name                                                                                                                            |
| villageId                        | Bigint   | Yes           | Village ID for household                                                                                                                |
| landmark                         | String   | Yes           | Landmark for household                                                                                                                  |
| name                             | string   | Yes           | Household Name                                                                                                                          |
| noOfPeople                       | Bigint   | Yes           | Number of People in Household                                                                                                           |
| ownedAnImprovedLatrine           | Boolean  | Yes           | Owned An Improved Latrine                                                                                                               |
| ownedHandWashingFacilityWithSoap | Boolean  | Yes           | Had owned a HandWashing Facility With Soap                                                                                              |
| ownedTreatedBedNet               | Boolean  | Yes           | Owned Treated BedNet                                                                                                                    |

#### **Sample Input:** <a href="#householdcreate-v2-sampleinput" id="householdcreate-v2-sampleinput"></a>

{\
"headPhoneNumber": "22XXXX12",\
"headPhoneNumberCategory": "Personal",\
"householdMembers": \[],\
"landmark": "Sdasd",\
"latitude": 37.4219983,\
"longitude": -122.084,\
"name": "XXXem",\
"noOfPeople": 2,\
"ownedAnImprovedLatrine": true,\
"ownedHandWashingFacilityWithSoap": true,\
"ownedTreatedBedNet": false,\
"provenance": {\
"modifiedDate": "2025-01-27T06:37:32.565Z",\
"organizationId": "1",\
"spiceUserId": 2,\
"userId": "3"\
},\
"referenceId": "4",\
"updatedAt": 1737959852565,\
"village": "Clergy",\
"villageId": 5\
}

#### **Output:** <a href="#householdcreate-v2-output" id="householdcreate-v2-output"></a>

| **Field Name**     | **Type** | **Comments**                   |
| ------------------ | -------- | ------------------------------ |
| <p>Message<br></p> | String   | Household Created Successfully |

#### **Sample Output:** <a href="#householdcreate-v2-sampleoutput" id="householdcreate-v2-sampleoutput"></a>

```
{
  "message": "HouseHold Created Successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/household-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
